Untitled

mail@pastecode.io avatar
unknown
plain_text
2 years ago
3.1 kB
3
Indexable
Never

Package operations: 1 install, 0 updates, 0 removals

  • Installing psycopg2 (2.9.3): Failed

  EnvCommandError

  Command ['/Users/ihorbrazhnichenko/Library/Caches/pypoetry/virtualenvs/backend-lyWhGKuc-py3.9/bin/pip', 'install', '--no-deps', 'file:///Users/ihorbrazhnichenko/Library/Caches/pypoetry/artifacts/f6/49/78/b89af907a751026c6e97a38dca440a0d7eefc89601c8a58df0569153a2/psycopg2-2.9.3.tar.gz'] errored with the following return code 1, and output: 
  Processing /Users/ihorbrazhnichenko/Library/Caches/pypoetry/artifacts/f6/49/78/b89af907a751026c6e97a38dca440a0d7eefc89601c8a58df0569153a2/psycopg2-2.9.3.tar.gz
    Preparing metadata (setup.py): started
    Preparing metadata (setup.py): finished with status 'error'
    error: subprocess-exited-with-error
    
    × python setup.py egg_info did not run successfully.
    │ exit code: 1
    ╰─> [21 lines of output]
        running egg_info
        writing /private/var/folders/my/ndchc5vn0sgdtjmt7gzspvv80000gn/T/pip-pip-egg-info-w7nbs2ij/psycopg2.egg-info/PKG-INFO
        writing dependency_links to /private/var/folders/my/ndchc5vn0sgdtjmt7gzspvv80000gn/T/pip-pip-egg-info-w7nbs2ij/psycopg2.egg-info/dependency_links.txt
        writing top-level names to /private/var/folders/my/ndchc5vn0sgdtjmt7gzspvv80000gn/T/pip-pip-egg-info-w7nbs2ij/psycopg2.egg-info/top_level.txt
        
        Error: pg_config executable not found.
        
        pg_config is required to build psycopg2 from source.  Please add the directory
        containing pg_config to the $PATH or specify the full executable path with the
        option:
        
            python setup.py build_ext --pg-config /path/to/pg_config build ...
        
        or with the pg_config option in 'setup.cfg'.
        
        If you prefer to avoid building psycopg2 from source, please install the PyPI
        'psycopg2-binary' package instead.
        
        For further information please check the 'doc/src/install.rst' file (also at
        <https://www.psycopg.org/docs/install.html>).
        
        [end of output]
    
    note: This error originates from a subprocess, and is likely not a problem with pip.
  error: metadata-generation-failed
  
  × Encountered error while generating package metadata.
  ╰─> See above for output.
  
  note: This is an issue with the package mentioned above, not pip.
  hint: See above for details.
  WARNING: You are using pip version 22.0.3; however, version 22.0.4 is available.
  You should consider upgrading via the '/Users/ihorbrazhnichenko/Library/Caches/pypoetry/virtualenvs/backend-lyWhGKuc-py3.9/bin/python -m pip install --upgrade pip' command.
  

  at ~/.poetry/lib/poetry/utils/env.py:1195 in _run
      1191│                 output = subprocess.check_output(
      1192│                     cmd, stderr=subprocess.STDOUT, **kwargs
      1193│                 )
      1194│         except CalledProcessError as e:
    → 1195│             raise EnvCommandError(e, input=input_)
      1196│ 
      1197│         return decode(output)
      1198│ 
      1199│     def execute(self, bin, *args, **kwargs):